From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cvise/
Date: Fri, 15 Mar 2024 06:24:42 +0000 (UTC) [thread overview]
Message-ID: <1710483853.0e12be7f01b9a372c50a380f33b92f516fddbc85.sam@gentoo> (raw)
commit: 0e12be7f01b9a372c50a380f33b92f516fddbc85
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 15 06:19:37 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 15 06:24:13 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e12be7f
dev-util/cvise: add 2.10.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/cvise/Manifest | 1 +
dev-util/cvise/cvise-2.10.0.ebuild | 70 ++++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/dev-util/cvise/Manifest b/dev-util/cvise/Manifest
index 1cdc6c594038..252b69a3371d 100644
--- a/dev-util/cvise/Manifest
+++ b/dev-util/cvise/Manifest
@@ -1,2 +1,3 @@
+DIST cvise-2.10.0.tar.gz 270839 BLAKE2B 36f54cbfe8eab0c2d64a4d2d482f558cb9e32ccce0b0c03923f62b682e33941ab37a57a1c51a4173a22e2ad9e59fec3256469e1b19baaea0446caa56877ea056 SHA512 31950f8731f7a8d6b9568be621b14d1f976a71ed0a6caef0cdcc0d31c99eca86c03913e2949f1f4e21a66fbe1618341f5daaff01da51b426b4ce0e6518479281
DIST cvise-2.8.0.tar.gz 269582 BLAKE2B fe0f0d4e63ec7c69b209b8be1f3fd160a2573b9bfc555a3bb5caec5c818c8251569103e71509d194e0effc86c09420cf523393686dd412660acde1e85ebffb67 SHA512 7e2dee2001aacb96cf5ffdb62047d229e23273fd26f34648e23ab4374bf6cae149f13db529494ce8d2d16555a0d2143487923c57f4b303b0ab1f678ffcff6f6e
DIST cvise-2.9.0.tar.gz 269921 BLAKE2B d3b491316ea4ec5b623eeba0131f31edb421635508786a04868394c9bdc62c4510c34bd30095c5b034fa66ec5f8f6f78bb762e17f1c534ba137eb469544ddafe SHA512 dd3b2e5c4603e8a73594863ce5b83d0ca864fc688a7b094c84b745b7086d384173809b9a915edb51938a7df8310eabbde1ea6a997c480d19618065c0d8270c52
diff --git a/dev-util/cvise/cvise-2.10.0.ebuild b/dev-util/cvise/cvise-2.10.0.ebuild
new file mode 100644
index 000000000000..1c98f566efb0
--- /dev/null
+++ b/dev-util/cvise/cvise-2.10.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+LLVM_COMPAT=( {16..18} )
+inherit cmake llvm-r1 python-single-r1
+
+DESCRIPTION="Super-parallel Python port of the C-Reduce"
+HOMEPAGE="https://github.com/marxin/cvise/"
+SRC_URI="
+ https://github.com/marxin/cvise/archive/v${PV}.tar.gz -> ${P}.tar.gz
+"
+
+LICENSE="UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+DEPEND="
+ $(llvm_gen_dep '
+ sys-devel/clang:${LLVM_SLOT}
+ sys-devel/llvm:${LLVM_SLOT}
+ ')
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/pebble[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ ')
+ dev-util/unifdef
+ app-alternatives/lex
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ app-alternatives/lex
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/pebble[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ ')
+ )
+"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ llvm-r1_pkg_setup
+}
+
+src_prepare() {
+ sed -i -e 's:-Werror::' -e '/CMAKE_CXX_FLAGS_REL/d' CMakeLists.txt || die
+ cmake_src_prepare
+}
+
+src_test() {
+ cd "${BUILD_DIR}" || die
+ epytest
+}
+
+src_install() {
+ cmake_src_install
+
+ python_fix_shebang "${ED}"/usr/bin/cvise
+}
next reply other threads:[~2024-03-15 6:24 UTC|newest]
Thread overview: 69+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-15 6:24 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-10 14:44 [gentoo-commits] repo/gentoo:master commit in: dev-util/cvise/ Sam James
2025-04-10 14:44 Sam James
2024-11-27 20:10 Sam James
2024-11-27 20:10 Sam James
2024-11-23 15:49 Sam James
2024-10-28 8:11 Sam James
2024-10-03 10:00 Sam James
2024-05-18 17:06 Sam James
2024-05-04 8:02 Arthur Zamarin
2024-04-29 2:38 Sam James
2024-04-29 2:38 Sam James
2024-03-15 6:24 Sam James
2024-01-03 6:22 Sam James
2023-12-16 7:05 Arthur Zamarin
2023-12-16 4:46 Sam James
2023-11-07 20:02 Sam James
2023-11-07 20:02 Sam James
2023-11-07 15:19 Michał Górny
2023-10-21 16:42 WANG Xuerui
2023-06-02 1:38 Sam James
2023-06-02 1:13 Yixun Lan
2023-06-01 21:23 Sam James
2023-06-01 20:04 Sam James
2023-04-28 14:13 Michał Górny
2023-03-10 18:34 Arthur Zamarin
2023-03-10 12:25 Sam James
2023-03-10 11:32 Arthur Zamarin
2023-02-03 12:35 Michał Górny
2023-02-03 12:31 Arthur Zamarin
2023-02-03 12:20 Arthur Zamarin
2022-12-23 11:25 Michał Górny
2022-12-11 17:36 Arthur Zamarin
2022-10-08 20:10 Michał Górny
2022-10-08 19:28 Sam James
2022-10-08 19:28 Sam James
2022-10-03 19:55 Michał Górny
2022-08-30 10:15 Michał Górny
2022-07-28 13:59 Sam James
2022-06-03 6:22 Michał Górny
2022-05-13 16:46 Jakov Smolić
2022-05-12 18:33 Sam James
2022-05-12 18:33 Sam James
2021-12-20 13:18 Michał Górny
2021-12-20 12:10 Agostino Sarubbo
2021-12-18 15:09 Arthur Zamarin
2021-10-15 6:05 Michał Górny
2021-10-14 21:13 Michał Górny
2021-04-11 11:23 Michał Górny
2021-04-11 11:11 Sam James
2021-04-11 11:06 Sam James
2021-03-10 3:04 Sam James
2021-03-09 11:31 Sam James
2021-03-09 8:54 Michał Górny
2021-03-04 14:56 Michał Górny
2021-01-29 10:43 Michał Górny
2021-01-11 11:40 Michał Górny
2020-12-20 20:34 Michał Górny
2020-12-20 19:07 Thomas Deutschmann
2020-11-10 9:38 Michał Górny
2020-11-10 8:24 Michał Górny
2020-10-21 18:53 Michał Górny
2020-09-30 7:55 Michał Górny
2020-09-30 7:14 Michał Górny
2020-09-24 6:59 Agostino Sarubbo
2020-09-23 11:03 Agostino Sarubbo
2020-09-18 9:38 Michał Górny
2020-08-03 11:18 Michał Górny
2020-05-01 15:44 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1710483853.0e12be7f01b9a372c50a380f33b92f516fddbc85.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox